diff -ur eventum-1.4/include/class.link_filter.php t/include/class.link_filter.php
--- eventum-1.4/include/class.link_filter.php	2005-01-26 02:28:03.000000000 +0200
+++ t/include/class.link_filter.php	2005-01-26 16:27:04.000000000 +0200
@@ -288,6 +288,10 @@
     {
         static $filters;
         if (is_null($filters)) {
+            $prj_id = Auth::getCurrentProject();
+            if ($prj_id == null) {
+                return array();
+            }
             $sql = "SELECT
                         lfi_pattern,
                         lfi_replacement
@@ -297,7 +301,7 @@
                     WHERE
                         lfi_id = plf_lfi_id AND
                         lfi_usr_role < " . User::getRoleByUser(Auth::getUserID()) . " AND
-                        plf_prj_id = " . Auth::getCurrentProject() . "
+                        plf_prj_id = $prj_id
                     ORDER BY
                         lfi_id";
             $res = $GLOBALS["db_api"]->dbh->getAll($sql);
diff -ur eventum-1.4/include/class.mail.php t/include/class.mail.php
--- eventum-1.4/include/class.mail.php	2005-01-26 02:28:03.000000000 +0200
+++ t/include/class.mail.php	2005-01-26 17:36:41.000000000 +0200
@@ -256,7 +256,7 @@
     {
         $info = Mail_API::getAddressInfo($address);
         if (!empty($info['sender_name'])) {
-            return $info['sender_name'];
+            return Mime_Helper::fixEncoding($info['sender_name']);
         } else {
             return $info['email'];
         }
Only in t/include: class.mail_queue.php~
diff -ur eventum-1.4/include/class.mime_helper.php t/include/class.mime_helper.php
--- eventum-1.4/include/class.mime_helper.php	2005-01-26 02:28:04.000000000 +0200
+++ t/include/class.mime_helper.php	2005-01-26 02:49:33.000000000 +0200
@@ -278,7 +278,7 @@
      * @return string  The text, encoded only if it contains non-ASCII
      *                 characters.
      */
-    function encode($text, $charset = 'iso-8859-1')
+    function encode($text, $charset = APP_CHARSET)
     {
         /* Return if nothing needs to be encoded. */
         if (!MIME_Helper::is8bit($text)) {
diff -ur eventum-1.4/include/class.notification.php t/include/class.notification.php
--- eventum-1.4/include/class.notification.php	2005-01-26 02:28:03.000000000 +0200
+++ t/include/class.notification.php	2005-01-26 17:36:31.000000000 +0200
@@ -908,7 +908,7 @@
             $tpl->assign(array(
                 'email' => array(
                     'date'    => $date,
-                    'from'    => $sender,
+                    'from'    => Mime_Helper::fixEncoding($sender),
                     'subject' => $subject
                 )
             ));
@@ -919,6 +919,7 @@
             $mail->setTextBody($text_message);
             $setup = $mail->getSMTPSettings();
             $from = Notification::getFixedFromHeader($issue_id, $setup["from"], 'issue');
+            $sender = Mime_Helper::fixEncoding($sender);
             $mail->send($from, $sender, 'New Issue Created');
         }
     }
